/*Extra Large devices (desktops, greater than 1200px) - Class : XL*/ 

@media (max-width: 1200px) {
	.guest_bx_row {width: 100%;}
	.guest_bx_row.left_root_row {margin-bottom: 15px;}		
	.rewad_bx_child {margin-bottom: 20px;}
	.shoping-cart {display: none;}
	.main_wrapper {width: 100%;}	
	.cart-close-btn {display: block;}	
	.close.cart-close-btn {
	    margin-top: 8px;
	    margin-right: 6px;	    
	}

}
@media (max-width: 1199.98px) {	
	.add_same_bl.add_action {
    	margin-top: 10px;
	}	

}

@media (max-width: 1024px) {	
	
.ch-flex-row i:nth-child(3) {
    	margin-bottom: 15px;
	}		
	.populr_desc p {width: 100%;}		
	.populr_bx_row.twice_bx_row .populr_pic_desc {width: 100%;}
	.populr_desc {display: block;margin-bottom: 15px;}
	.footer-block.cart_footer {padding: 0px 0px 36px 0px;}	
	/*.left_item_desc {width: 60%;}
	.right_item_desc {width: 30%;}*/
	.cart_comn_title {margin-bottom: 15px;}
	.custom_orderlater_dialog .mobile-align-center {height: auto;}	
	.choosebox-table .ch-flex-row span .mi_loc  {padding-right: 10px;}
	
}

/*Medium devices (tablets, less than 992px) - Class : MD*/
@media (max-width: 991.98px) {
	.padding_0 {
		padding-left: 15px;
		padding-right: 15px;
	}
	.choose-bx-same {
	    display: inline-block;
	    width: 100%;
	}
	.choose-box-right.choose-bx-same img {height: auto;}
	.choose-bx-same {margin-bottom: 30px;}
	.fw-btn {width: 250px;}
	.choose-box-left.choose-bx-same {margin-bottom: 0px;}	
	.populr_thumbnail {width: 30%;}
	.populr_pic_desc { width: 65%;}
	.populr_pic_action {width: 100%;}	
	.modal-dialog.custom_modal_dialog {
    	max-width: 100%;
	}
	.modal_parent.m_b_27 {
    	margin-bottom: 0px;
	}
	.root_modal_row {width: 100%;margin-bottom: 15px;}
	.client_desc_modal.col_nfo_same {width: 100%;}
	.client_loc.col_nfo_same {width: 100%;}
	.order-mehod-sec .order_bx_same {
		width: 100%;
		border-right: 0;
	    border-bottom: 1px solid #DBDBDB;
	    padding-bottom: 10px;
	    padding-top: 10px;
	}
	.order-mehod-sec .order_mehod_box {
		margin-bottom: 10px;
	}
	.order-mehod-sec .order_main_bx {padding: 5px 16px 16px 16px;}
	.order-mehod-sec .edit_btn a {margin-top: 0;float: none;}
	
	.address_selected.ord_son_sel .loc_right_desc span,.order_con_desc p {font-size: 22px;}	
	.populr_pic_action {display: flex;justify-content: space-between;}
	.modal .modal-dialog {margin: .5rem;}
	.twice_child {float: none;justify-content: space-between;}
	.modal-dialog {max-width: 100%;}
	.oreder-later-modal .mobile-align-center ul.day-date-list {justify-content: space-around;}
	.oreder-later-modal .mobile-align-center ul.day-date-list li {display: inline-block;width: 24%;text-align: center;}
	.oreder-later-modal .mobile-align-center ul.day-date-list li a {padding: 4px 23px;width: 100%;}
	.choose-loc-sec .choose-box-main .choose-box-left.choose-bx-same hr {display: block;margin-left: -15px;margin-right: -15px;border-top: 1px solid #E4E4E4;}
	.choosebox-table {padding: 0px;overflow-x: hidden;}
	.choose-loc-sec .choose-box-main .ch_box_row:first-child {padding: 0px 0px 15px 0px;}
	.choose-box-right.choose-bx-same {display: none;}
	.sm-btn-padding {
		padding: 12px 48px;
	}
	.populr_bx_row .select_ac_btn {order: 2;}
	.populr_bx_row .twice_child {order:1;}
}
/*Small devices (landscape phones, less than 768px) - Class : SM*/
@media (max-width: 767.98px) {
	section.signin-sec {
		width: 100%;
	}
	section.hero-banner {
		background-position: top center;
	}
	section.hero-banner {
		padding: 20px 0px 60px 15px;
	}	
	/*.choosebox-table {		
	    box-shadow: 0 1px 1px 0 rgba(0,0,0,0.14), 0 2px 1px -1px rgba(0,0,0,0.12), 0 1px 3px 0 rgba(0,0,0,0.20);
	    border-radius: 4px;
	}*/
	
	.choobox_action_btn {
		padding: 0px;
	}
	.coman-order-btn .order-now-sec p {    
	    font-size: 11.85px;
	    color: rgba(0,0,0,0.60);
	    letter-spacing: 0.4px;
	    text-align: center;
	    line-height: 16px;
	}
	.fw-btn {
		width: 100%;
	}
	.choose-loc-sec.location-detail-sec {width: 100%;}
	.loc_right_desc p {font-size: 16px;}
	.location-detail-sec {width: 100%;}	
	.choose-loc-sec.choose-loc-selced {width: 100%;}
	.hero-banner.mobile_hero_baner {display: block;padding: 20px 0px 20px 0px;position: relative;}
	.mobile_header {display: block;position: fixed;width: 100%;z-index: 11;}
	.hero-banner.mobile_hero_baner .hero-logo {
    	margin-bottom: 27px;
	}
	.sidenav {display: none;}	
	.main_sec {margin-left: 0px;}
	.header-sec {display: none;}	
	.btn-small.btn-tip {padding: 12px 20px;	}
	.mobile_navbar {
	    display: block;
	    padding: 16px 5px;
	    overflow-y: scroll;
	    height: calc(100vh - 151px);	    
	}
	.checkout_option_sec {padding: 0px 0px 32px 0px;}
	.mixin_parent_bx.chk_op_bx .mix-in-check {margin-right: 15px;}	
	.order_bx_same {width: 100%;border-right: 0px;}
	section.order-mehod-sec {padding: 24px 0px 36px 0px;}
	section.popular-pick-sec {padding: 24px 0px;}
	.populr_thumbnail {width: 100%;margin-bottom: 15px;}
	.populr_pic_desc { width: 100%;}
	
	
	.toping_cal_btn {padding: 12px 8px;font-size: 10px;}
	.card.card-body.custom_crd_bdy {padding: 31px 12px;}
	.footer-sec hr {width: 100%;margin-top: 10px;}
	.footer_nav ul li i,.footer_nav ul li a {font-size: 11px;padding: 0px 5px;}
	.mixins-checklist .mixin-total.option_slide_tot span.option_slide_rate {margin-right: 15px;}
	.gust_arival_parent {width: 100%;margin-bottom: 10px;position: relative;margin-top: 5px;}	
	.order_con_row_left {width: 100%;}		
	.order_con_row_right {width: 100%;}
	.address_selected.ord_son_sel .loc_right_desc {width: 100%;}
	.order_review_exp {
	    display: block;
	    margin-bottom: 15px;
	}
	.modal-body.custom_modal_body {padding:30px 15px 0px 15px;}
	.modal_thumb {float: none;margin-right: 0;margin-bottom: 15px;}
	.modal-header.custom_modal_head h5 {font-size: 25px;}
	.ch_box_search.mobile_search {
	    background: #fff;
	    border-radius: 0px;
	}
	.mobile-colpse-sec .sidbar-nav.mobile_col_nav ul li a {padding: 10px 16px;}
	.search_input_mob {display: block;}
	.main_wrapper.full_widht_bl,.main_wrapper {padding: 185px 0px 0px 0px;}
	section.order-mehod-sec {display: none;}
	.right_item_desc img {width: auto;}
	.cart_comn_title h2 {font-size: 26px;}
	.mixin_parent_bx .mix-in-check label {margin-left: 15px;}
	.search_input_mob .choosebox-search.sidebar-srch {padding: 0px;}
	.gust_arive_detail p {font-size: 14px;}
	.small_bx_title h4 {font-size: 18px;}
	.row_cr_1 {width: 100%;}
	.row_cr_2 {width: 100%;}
	.row_cr_3 {width: 100%;}
	.items_listing_cart.order_list_cart .item_para_desc label {font-size: 16px;}
	.order_pick_box.coman_pickbx a img {height: 40px;}
	.order_pick_box.coman_pickbx {width: 48.5%;}
	.sign-in a i {margin-right: 10px;}
	.order-option.top-head-left p {font-size: 17px;}
	.coman-order-btn img {margin-right: 10px;}
	
	.coman-order-btn .order-now-sec h3 {font-size: 20px;}
	.coman-order-btn .order-now-sec {display: block;height: auto;}
	.order-conform-msg p {font-size: 18px;}
	.address_selected.ord_son_sel .loc_right_desc span,.order_con_desc p {font-size: 18px;}
	.address_selected.ord_son_sel .loc_right_desc address {font-size: 16px;}	
	.choose-box-main,.form-block {padding: 24px 15px;}	
	.mobile_header .mobile_hero_baner .top-header {display: flex;justify-content: space-between;}
	.credit-info-sec .credit_cart_root .crdit_info_row .form-group.coman-form-group {
    	margin-bottom: 15px;
	}
	.crdit_info_row {margin-bottom: 0px;}
	.form-group.coman-form-group:last-child {margin-bottom: 0px;}
	section.item_desc_block {padding: 0px;}
	.shoping-cart {margin-top: 0px;height: calc(100vh - 175px);height: 100vh;z-index: 11;width: 100%;}
	.guest_bx_row.left_root_row .gust_bx_form hr {margin-bottom: 10px;}
	.gust_arival_parent:after {
	    content: '';
	    position: absolute;
	    width: 100%;
	    height: 1px;
	    background: #e5e5e5;
	    display: block;
	    margin-top: 3px;
	}
	.modal-footer.custom_footer {justify-content: end;}
	.credit-info-sec .nav-tabs.credit_nav .nav-item .nav-link img {height: 23px;}
	.credit-info-sec .nav-tabs.credit_nav .nav-item .nav-link {font-size: 13px;}
	
	.gust_arival_parent:last-child:after {background: transparent;}
	.small_bx_title {margin-bottom: 15px;}
	.order_item_name {margin-bottom: 10px;}	
	.credit_cart_root {min-height: auto;}
	.gust_arival_parent:last-child {
    	margin-bottom: 0;
	}
	.form-block hr {margin-top: 16px;}
	.modal-dialog.custom_orderlater_dialog {	    
	    margin: 8px 10px !important;
	    max-width: 100%;
	}
	.mobile-align-center .tab-content ul.pickup_table_list {display: flex;justify-content: space-between;}
	.mobile-align-center .tab-content ul.pickup_table_list li {display: inline-block;width: 32%;padding-right:0px;}
	.mobile-align-center .tab-content ul.pickup_table_list li a {width: 100%;padding: 13px 0px;}
	.add_same_bl.add_action .red-bg.pickup_btn {padding: 10px 12px;font-size: 12px;}
	.option_slide_list_rot .mixins-checklist.option_slide_list_rot .mix-in-check.form-check {
		margin-bottom: 0px;
		display: inline-flex;
		flex-direction: column;
	}
	.item_desc_bx p img {width: 40%;}
	.item_title h3 {font-size: 18px;}
	.item_desc_bx p {letter-spacing: 1px;}
	
	
}
/*Extra small devices (portrait phones, less than 576px) - Class : XS*/
@media (max-width: 575.98px) {
	.order_sum_tp_root .order_sum_top,.order_sum_tp_root .order_sum_top .order_sum_len,.order_sum_tp_root .order_sum_top .order_sum_price {display: block;text-align: left;}
	.order_sum_tp_root .order_sum_top .order_sum_price p {text-align: left;}
	.order_summary_sec .order_sum_tp_root .order_sum_value {text-align: left;}	
	.order_sum_top .order_sum_len .item_action_bx.qty_cart_child {
    	margin-bottom: 10px;
	}
	.order_sum_main {display: flex;justify-content: space-between;}
	.choosebox-table .ch-flex-row {display: block;}
	.option_slide_list_rot .mixin_parent_bx .mix-in-check label {
		padding-top: 4px;
		line-height: 16px;
		font-size: 14px;
		padding-bottom: 4px;
	}
	.opiton_slide_checklist .mixins-checklist.option_slide_list_rot .mixin_parent_bx span.checkin {
		position: absolute;
		top: 50%;
		left: 0;		
		margin-top: -12px;
	}
	.option_slide_list_rot .mixin-total.option_slide_tot {justify-content: space-between;flex-direction: column;align-items: initial;}	
	.option_slide_list_rot .mixin-total.option_slide_tot span.option_slide_rate {margin-bottom: 5px;}
	.mixins-checklist .mixin-total.option_slide_tot span.option_slide_rate {margin-right: 0px;text-align: right;}
	.item_action_bx.qty_cart_child .input-group.increase-decrease .input-group-text {padding: 6px 12px;}
	.item_action_bx.qty_cart_child .input-group.increase-decrease {width: 120px;height: 32px;}
	
}
@media (max-width:480px) {	
	/*.mixins-checklist.option_slide_list_rot .mixin_parent_bx {display: block;}*/
	
	.item_action_bx.qty_cart_child .input-group.increase-decrease {height: 35px;}
	.dropdown_parent hr {margin-top: 16px;margin-bottom: 16px;}
	
	.ch-flex-row {display: block;}
	.choosebox-table hr {margin-top: 0px;margin-bottom:0px;}
	.sign_action_btn .action-block {width: 100%;}
	.fb-btn.action-block {margin-bottom: 20px;}		


}
@media (max-width:413px) {	
	.form-block-title p {
		font-size: 18px;
	}
	.form-control.ch_box_search {
		font-size: 12px;
	}	
	.coman-order-btn .order-now-sec p {white-space: normal;}
	.credit-info-sec .nav-tabs.credit_nav li a {padding: 15px 9px;}	
	.calorie_val p {font-size: 15px;}
	
}
@media (max-width:375px) {	 
	.mobile-align-center .tab-content ul.pickup_table_list li a {font-size: 11px;}
	.mobile-align-center .tab-content ul.pickup_table_list li a i {margin-left: 7px;font-size: 14px;display: none;}	
	.mobile-align-center .tab-content ul.pickup_table_list li {padding-right: 1px;}
	.custom_orderlater_dialog .modal-header.custom_modal_head h5 {font-size: 19px;}
	.mobile-align-center .tab-content ul.pickup_table_list li a {padding: 13px 5px;}	
	.ch-flex-row span {display: flex;}
	.oreder-later-modal .mobile-align-center ul.day-date-list li a {padding: 4px 14px;}
	
}
@media (max-width:320px) { 
	.sm-btn-padding {
    	padding: 12px 35px;
	}
	.right_item_desc {order: 1;margin-bottom: 15px;width: 100%;text-align: left;}
	.left_item_desc {width: 100%;order: 2;}
	/*.mobile_navbar {height: 300px;overflow: scroll;}	*/
	.oreder-later-modal .mobile-align-center ul.day-date-list li a {padding: 4px 12px;}
	.ch-flex-row span .mi_loc {
		display: inline-block;
	    float: right;
	    margin-left: 100px;
	    margin-top: -30px;
	    padding-right: 10px;
	}
	/*.mobile_navbar {height: 320px !important;}*/
}